OpenNMS API 1.2.9

## org.opennms.netmgt.eventd.adaptors.tcp
Class TcpRecordHandler.StateManager

    java.lang.Object
      org.opennms.netmgt.eventd.adaptors.tcp.TcpRecordHandler.StateManager

Enclosing class:
  TcpRecordHandler

private static class TcpRecordHandler.StateManager
extends java.lang.Object

This class is use to model the set of states, the attached TcpRecordHandler, and the transition actions.

Field Summary
`protected TcpRecordHandler` `m_handler` The record handler this manager is attached to
`protected int` `m_level` The level of this manager

Constructor Summary
`(package private)` `TcpRecordHandler.StateManager(int level, TcpRecordHandler handler)` Constructs a new state manager.

Method Summary
`(package private) int` `getLevel()` The level for this manager
`(package private) int` `next(char ch)` handle the next character, returns the next level
`(package private) void` `onTransition(char ch)` Handle the transtion from character to character.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_level

    protected int m_level

  The level of this manager

### m_handler

    protected TcpRecordHandler m_handler

  The record handler this manager is attached to

Constructor Detail

### TcpRecordHandler.StateManager

    TcpRecordHandler.StateManager(int level,
                                  TcpRecordHandler handler)

  Constructs a new state manager.

Parameters:
  `level` - The level of the state manager
  `handler` - The handler to fire events at.

Method Detail

### getLevel

    int getLevel()

  The level for this manager

### next

    int next(char ch)
       throws java.io.IOException

  handle the next character, returns the next level

  Throws:
    `java.io.IOException`

### onTransition

    void onTransition(char ch)
                throws java.io.IOException

  Handle the transtion from character to character.

  Throws:
    `java.io.IOException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.